Loading...
Searching...
No Matches
Opm::FlashIndices< TypeTag, PVOffset > Class Template Reference

Defines the primary variable and equation indices for the compositional multi-phase model based on flash calculations. More...

`#include <flashindices.hh>`

Inheritance diagram for Opm::FlashIndices< TypeTag, PVOffset >:

## Static Public Attributes

static const int | numEq = numComponents + EnergyIndices::numEq_
| number of equations/primary variables
static const int | cTot0Idx = PVOffset
| Index of the total concentration of the first component in the pore space.
static const int | conti0EqIdx = PVOffset
| Index of the mass conservation equation for the first component.
static constexpr bool | waterEnabled = enableWater
| All phases active (note: immiscible/"dummy" water phase).
static constexpr bool | gasEnabled = true
static constexpr bool | oilEnabled = true
static constexpr int | numPhases = enableWater ? 3 : 2
| number of active phases
static constexpr int | numEq = numComponents + EnergyIndices::numEq_ + (enableWater ? 1 : 0)
| number of equations/primary variables
static constexpr int | pressure0Idx = PVOffset
| Index of the pressure.
static constexpr int | z0Idx = pressure0Idx + 1
| Index of the molefraction of the first component.
static constexpr int | water0Idx = enableWater ? z0Idx + numComponents - 1 : -1000
| Index of water saturation.
static constexpr int | conti0EqIdx = PVOffset
| Index of the mass conservation equation for the first component.
static constexpr bool | enableMICP = false
| MICP implementation is an extension of the black-oil model.

## Detailed Description

template<class TypeTag, int PVOffset>
class Opm::FlashIndices< TypeTag, PVOffset >

Defines the primary variable and equation indices for the compositional multi-phase model based on flash calculations.

Defines the primary variable and equation indices for the compositional multi-phase model based on PT flash calculations.

Template Parameters

  PVOffset | The first index in a primary variable vector.

The documentation for this class was generated from the following files:

- opm/models/flash/flashindices.hh
- opm/models/ptflash/flashindices.hh